summaryrefslogtreecommitdiffstats
path: root/contrib/dialog/samples/menubox2
diff options
context:
space:
mode:
authornwhitehorn <nwhitehorn@FreeBSD.org>2011-01-12 14:55:02 +0000
committernwhitehorn <nwhitehorn@FreeBSD.org>2011-01-12 14:55:02 +0000
commit3d4e8889889e5e36302454225999f7e146d3219c (patch)
treefa315b999f531039df54ab7af8e99f7e8daad77c /contrib/dialog/samples/menubox2
parentb905920a72950a63c9782b4911d252bfac08db6e (diff)
downloadFreeBSD-src-3d4e8889889e5e36302454225999f7e146d3219c.zip
FreeBSD-src-3d4e8889889e5e36302454225999f7e146d3219c.tar.gz
Update dialog to version 20100428. This changes the license under which
dialog is distributed from GPLv2 to LGPLv2 and introduces a number of new features and a new and better libdialog API. The existing libdialog will be kept temporarily as libodialog for compatibility purposes until sade, sysinstall and tzsetup have been either updated or replaced. __FreeBSD_version is now 900030. Discussed on: -current Approved by: core Obtained from: http://invisible-island.net/dialog
Diffstat (limited to 'contrib/dialog/samples/menubox2')
-rwxr-xr-xcontrib/dialog/samples/menubox227
1 files changed, 27 insertions, 0 deletions
diff --git a/contrib/dialog/samples/menubox2 b/contrib/dialog/samples/menubox2
new file mode 100755
index 0000000..d81ba79
--- /dev/null
+++ b/contrib/dialog/samples/menubox2
@@ -0,0 +1,27 @@
+#!/bin/sh
+# $Id: menubox2,v 1.7 2010/01/13 10:20:03 tom Exp $
+
+. ./setup-vars
+
+. ./setup-tempfile
+
+$DIALOG --default-item "MSDOS" --clear --title "MENU BOX" "$@" \
+ --menu "Hi, this is a menu box. You can use this to \n\
+present a list of choices for the user to \n\
+choose. If there are more items than can fit \n\
+on the screen, the menu will be scrolled. \n\
+You can use the UP/DOWN arrow keys, the first \n\
+letter of the choice as a hot key, or the \n\
+number keys 1-9 to choose an option.\n\
+Try it now!\n\n\
+ Choose the OS you like:" 20 51 4 \
+ "Linux" "The Great Unix Clone for 386/486" \
+ "NetBSD" "Another free Unix Clone for 386/486" \
+ "OS/2" "IBM OS/2" \
+ "WIN NT" "Microsoft Windows NT" \
+ "PCDOS" "IBM PC DOS" \
+ "MSDOS" "Microsoft DOS" 2> $tempfile
+
+retval=$?
+
+. ./report-tempfile
OpenPOWER on IntegriCloud